apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: 2048-ingress
  namespace: xpink
  annotations:
    #alb.ingress.kubernetes.io/subnets: vpc-0b996d24feae0e2d5
    alb.ingress.kubernetes.io/scheme: internet-facing
spec:
  ingressClassName: alb
  rules:
    - host: bressx-test.la
      http:
        paths:
          - path: /api
            pathType: ImplementationSpecific
            backend:
              service:
                name: hertz-s
                port:
                  number: 8889
          - path: /admin
            pathType: ImplementationSpecific
            backend:
              service:
                name: hertz-s
                port:
                  number: 8887
          - path: /callback
            pathType: ImplementationSpecific
            backend:
              service:
                name: hertz-s
                port:
                  number: 8888
          - path: /ws
            pathType: ImplementationSpecific
            backend:
              service:
                name: hertz-s
                port:
                  number: 8891
